import { defineStore } from 'pinia'

export const usePersonCenterStore = defineStore('personCenter',
	{
		state: () => ({
			initialIndex: 0,
			urlsList: []
		}),
		actions: {
			setPreviewData (arr, index) {
				this.urlsList = arr
				this.initialIndex = index
			},
			clearPreviewData () {
				this.urlsList = []
				this.initialIndex = 0
			}
		}
	},
	{
		persist: true,
		devtools: true
	}
)

